Subject: bug#59381: Should xref--marker-ring be per-window?

From: Dmitry Gutov <[email-masked]>
Date: Thu, 24 Nov 2022 05:16:05 +0200

On 21/11/22 09:42, Juri Linkov wrote:
>>>> What does everyone think if we do the baseline of just creating a new
>>>> stack per-window (no copying) and then waiting to see if we get
>>>> feedback once people start using it?
>>> If this is optional and can be disabled, I don't think I mind.
>>
>> Definitely optional, we should provide different "storages" for
>> this. Global (the current behavior), per-window, per-frame, maybe others.
> 
> Also per-project (maybe even by default).

I don't know whether I like that as default: some navigations could jump 
across projects, it would be weird to break the stacks along those 
boundaries.

> PS: this whole subject of different xref stacks reminds me
> trying to make sense of the different next-error stacks ;-)

Definitely. ;-)